#ifndef _MAIN_H_
#define _MAIN_H_

#ifdef DEBUG                    /* include stuff for USB debug functions */

#include <cdcdf_acm.h>
#include <string.h>
#include <stdio.h>

char debug_buf[255];
#define debug(fmt, ...) \
        do { \
                sprintf(debug_buf, "%s:%d: " fmt "\r\n", __FILE__, __LINE__, ##__VA_ARGS__); \
                cdcdf_acm_write((uint8_t*)debug_buf, strlen(debug_buf));    \
        } while (0)

#else  /* DEBUG not defined, don't include string.h, stdio.h, etc */

#define debug(fmt, ...)

#endif  /* DEBUG */

#endif  /* _MAIN_H_ */
