#include <atmel_start.h>

#include "usb_debug.h"

int main(void)
{
	/* Initializes MCU, drivers and middleware */
	atmel_start_init();
        int i = 0;

	adc_sync_enable_channel(&ADC_0, 0);

        uint16_t adc_val;
        float adc_temp;

	/* Replace with your application code */
	while (1) {
                delay_ms(500);
                gpio_toggle_pin_level(LED);
                if (i++ % 2) {
                        adc_sync_read_channel(&ADC_0, 0, (uint8_t*)&adc_val, 2);
                        adc_temp = ((adc_val / 4095.0) - 0.6)/0.01;
                        debug("secondary FW: iter %d, temp=%.1f", i/2, adc_temp);
                }
	}
}
